%[if %("%id=embed_type%" == "imagedir")% ]%

/* CSS Tricks http://css-tricks.com/equal-height-blocks-in-rows/ */
equalheight = function(container){
	var currentTallest = 0,
	currentRowStart = 0,
	rowDivs = new Array(),
	$el,
	topPosition = 0;
	$(container).each(function() {
		$el = $(this);
		$($el).height('auto')
		topPostion = $el.position().top;

		if (currentRowStart != topPostion) {
			for (currentDiv = 0 ; currentDiv < rowDivs.length ; currentDiv++) {
				rowDivs[currentDiv].height(currentTallest);
			}
			rowDivs.length = 0; // empty the array
			currentRowStart = topPostion;
			currentTallest = $el.height();
			rowDivs.push($el);
		} else {
			rowDivs.push($el);
			currentTallest = (currentTallest < $el.height()) ? ($el.height()) : (currentTallest);
		}
		for (currentDiv = 0 ; currentDiv < rowDivs.length ; currentDiv++) {
			rowDivs[currentDiv].height(currentTallest);
		}
	});
}

$(window).load(function() {
	equalheight('#embedWrapper%id% li');
});

$(window).resize(function(){
	equalheight('#embedWrapper%id% li');
});
%[endif]%

%[if %("%id=embed_type%" == "facebook_post")% ]%
$(document).ready(function() {
  $('#%id% iframe').addClass('facebookIframe');
});
%[endif]%

%[if %("%id=embed_type%" == "html5_audio")% ]%
%[if %("%id=pauseaudio_outsideclick%" == "true")% ]%
// Pause the stack by clicking anywhere outside of itself
$(document).mouseup(function (e) {
    var container = $("#audio%id%");

    if (!container.is(e.target) // if the target of the click isn't the container...
            && container.has(e.target).length === 0) // ... nor a descendant of the container
	{
        $("#audio%id%").trigger('pause');
    }
});
%[endif]%
%[endif]%

%[if %("%id=embed_type%" == "html5_video")% ]%
%[if %("%id=pausevideo_outsideclick%" == "true")% ]%
// Pause the stack by clicking anywhere outside of itself
$(document).mouseup(function (e) {
    var container = $("#embedWrapper%id%");

    if (!container.is(e.target) // if the target of the click isn't the container...
            && container.has(e.target).length === 0) // ... nor a descendant of the container
	{
        $("#video%id%").trigger('pause');
    }
});
%[endif]%
%[endif]%
